Content / REST API
Discover content posts
Search LinkedIn posts on demand through a workspace account. Returns source links and observed engagement, not guaranteed winners.
POST /api/v1/content/discoverDeterministic operationParameters
workspaceIdOptional · string- See the input schema for this field.
linkedinAccountIdRequired · string- See the input schema for this field.
queryRequired · string- See the input schema for this field.
cursorOptional · string- See the input schema for this field.
curl -X POST "https://app.pipeline.help/api/v1/content/discover" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"linkedinAccountId":"00000000-0000-4000-8000-000000000000","query":"example"}'Full input schema
{
"type": "object",
"additionalProperties": false,
"properties": {
"workspaceId": {
"type": "string"
},
"linkedinAccountId": {
"type": "string"
},
"query": {
"type": "string"
},
"cursor": {
"type": "string"
}
},
"required": [
"linkedinAccountId",
"query"
]
}